
import javax.ejb.EJB;
import javax.ejb.EJBException;
import javax.ejb.Stateless;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
@EJB(name="audit", beanInterface=AnotherEJBLocal.class)
public class EmployeeBean implements EmployeeServiceLocal, EmployeeServiceRemote {
  @PersistenceContext(unitName = "EmployeeService")
  private EntityManager manager;

  public void doAction(){
    try {
      Context ctx = new InitialContext();
      AnotherEJBLocal audit = (AnotherEJBLocal) ctx.lookup("java:comp/env/audit");
      audit.doAnother();
  } catch (NamingException e) {
      throw new EJBException(e);
  }
    
  }
}
